Bug 152315 - CAN-2005-0891 gdk-pixbuf BMP double free DoS
CAN-2005-0891 gdk-pixbuf BMP double free DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdk-pixbuf (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
impact=important,public=20050326,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-28 10:09 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 11:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-28 10:09:02 EST
A BMP image with no palette can cause a double free condition in the gdk-pixbuf
BMP processing code.

For more information see:
http://bugzilla.gnome.org/show_bug.cgi?id=171707
Comment 1 Josh Bressers 2005-03-28 10:09:55 EST
This issue also affects RHEL2.1 and RHEL3.
Comment 2 Matthias Clasen 2005-03-28 10:41:04 EST
I have built 
gdk-pixbuf-0.22.0-12.el2
gdk-pixbuf-0.22.0-12.el3
gdk-pixbuf-0.22.0-16.el4
with the fix.
Comment 3 Josh Bressers 2005-04-05 11:11:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-343.html

Note You need to log in before you can comment on or make changes to this bug.